extends layout

block content
  div(class= 'outer')
    div(class= 'envelope')
      //- - var img = clicked()
      - var img = '/images/envelope.svg'
      img(src=img, class="envelope-pict", id ='envelope-pict', onclick= 'clicked()')
      script.
        function clicked() {
          if (document.getElementById('envelope-pict').src.includes('/images/envelope.svg')) {
            document.getElementById('envelope-pict').src = "/images/open-envelope.svg";
            document.getElementById('envelope-pict').style.top = "34vh";
            document.getElementById('shadow-pict').style.top = "36vh";
            setTimeout(function() {
              //your code to be executed after 1 second
              document.getElementById('paper').style.display = "block";
            }, 2000);
          } else {
            document.getElementById('envelope-pict').src = "/images/envelope.svg";
            document.getElementById('envelope-pict').style.top = "40vh";
            document.getElementById('shadow-pict').style.top = "42vh";
            if (document.getElementById('envelope-pict').src.includes('/images/envelope.svg')) {
              document.getElementById('paper').style.display = "none";
            }
          }
        }
    div(class= 'shadow')
      img(src="/images/shadow.svg", id= "shadow-pict", class="shadow-pict")
    div(class= 'paper', id= 'paper' onclick= 'clicked()')
      script.
        function hide() {
           document.getElementById('paper').style.display = "none";
        }
      div(class= 'inner')
        - const name = name
        h1 Hello, name
        p I hope this letter finds you well. In the time of this pandemic and critical time,  we’re so happy to announce one of the happiest, best, and most remarkable moment in our life; Our marriage! Our marriage is going to be held in and on:
        h2 🏡 Pekanbaru
        h2 🗓 11 Juli 2020
        p Unfortunately for now, we will probably organize it privately. But as our friends, we still need your blessings and prayers to accompany our will-be-longest-journey. <br>Thank you 💖

        div(class= 'right')
          p2 With love, <br> Hendra & Zulia


